Class | Chef::Provider::CookbookFile
In: | lib/chef/provider/cookbook_file.rb
Parent: | Chef::Provider::File

### Methods

action_create action_create_if_missing backup_new_resource content_stale? file_cache_location load_current_resource resource_cookbook set_all_access_controls stage_file_to_tmpdir

### Public Instance methods

action_create()
action_create_if_missing()
backup_new_resource()
content_stale?()
file_cache_location()
load_current_resource()
resource_cookbook()

Determine the cookbook to get the file from. If new resource sets an explicit cookbook, use it, otherwise fall back to the implicit cookbook i.e., the cookbook the resource was declared in.

set_all_access_controls(file)
stage_file_to_tmpdir(staging_file_location)

Copy the file from the cookbook cache to a temporary location and then set its file access control settings.

[Validate]